﻿* Encoding: UTF-8.
*All variables are already included in the dataset of Study 3 (downloadable via http://madata.bib.uni-mannheim.de/333/3/B5FacetsRelig_Study3_data.sav).

*BFI facets.
COMPUTE altr = MEAN(agr02,agr05,agr06r,agr07).
COMPUTE comp = MEAN(agr01r,agr03r,agr04).
COMPUTE orde = MEAN(cns02r,cns04r).
COMPUTE disc = MEAN(cns03,cns05r,cns06,cns08,cns09r).
COMPUTE asse = MEAN(ext01,ext02r,ext05r,ext06,ext07r).
COMPUTE acti = MEAN(ext03,ext04).
COMPUTE aest = MEAN(opn06,opn09r,opn10).
COMPUTE idea = MEAN(opn02,opn03,opn05,opn07r,opn08).
COMPUTE anxi = MEAN(neu02r,neu04,neu07r,neu08).
COMPUTE depr = MEAN(neu01,neu06).
EXECUTE.

*BFI domains.
COMPUTE agr44 = MEAN(agr01r,agr02,agr03r,agr04,agr05,agr06r,agr07,agr08r,agr09).
COMPUTE cns44 = MEAN(cns01,cns02r,cns03,cns04r,cns05r,cns06,cns07,cns08,cns09r).
COMPUTE ext44 = MEAN(ext01,ext02r,ext03,ext04,ext05r,ext06,ext07r,ext08).
COMPUTE opn44 = MEAN(opn01,opn02,opn03,opn04,opn05,opn06,opn07r,opn08,opn09r,opn10).
COMPUTE neu44 = MEAN(neu01,neu02r,neu03,neu04,neu05r,neu06,neu07r,neu08).
EXECUTE.

*BFI domains based on the 35 BFI items used for the BFI facets.
COMPUTE agr35 = MEAN(agr01r,agr02,agr03r,agr04,agr05,agr06r,agr07).
COMPUTE cns35 = MEAN(cns02r,cns03,cns04r,cns05r,cns06,cns08,cns09r).
COMPUTE ext35 = MEAN(ext01,ext02r,ext03,ext04,ext05r,ext06,ext07r).
COMPUTE opn35 = MEAN(opn02,opn03,opn05,opn06,opn07r,opn08,opn09r,opn10).
COMPUTE neu35 = MEAN(neu01,neu02r,neu04,neu06,neu07r,neu08).
EXECUTE.

*BFI facets without one specific BFI nuance.
Compute altr_no_agr02 = MEAN(agr05,agr06r,agr07).
Compute altr_no_agr05 = MEAN(agr02,agr06r,agr07).
Compute altr_no_agr06r = MEAN(agr02,agr05,agr07).
Compute altr_no_agr07 = MEAN(agr02,agr05,agr06r).
Compute comp_no_agr01r = MEAN(agr03r,agr04).
Compute comp_no_agr03r = MEAN(agr01r,agr04).
Compute comp_no_agr04 = MEAN(agr01r,agr03r).
Compute disc_no_cns03 = MEAN(cns05r,cns06,cns08,cns09r).
Compute disc_no_cns05r = MEAN(cns03,cns06,cns08,cns09r).
Compute disc_no_cns06 = MEAN(cns03,cns05r,cns08,cns09r).
Compute disc_no_cns08 = MEAN(cns03,cns05r,cns06,cns09r).
Compute disc_no_cns09r = MEAN(cns03,cns05r,cns06,cns08).
Compute asse_no_ext01 = MEAN(ext02r,ext05r,ext06,ext07r).
Compute asse_no_ext02r = MEAN(ext01,ext05r,ext06,ext07r).
Compute asse_no_ext05r = MEAN(ext01,ext02r,ext06,ext07r).
Compute asse_no_ext06 = MEAN(ext01,ext02r,ext05r,ext07r).
Compute asse_no_ext07r = MEAN(ext01,ext02r,ext05r,ext06).
Compute idea_no_opn02 = MEAN(opn03,opn05,opn07r,opn08).
Compute idea_no_opn03 = MEAN(opn02,opn05,opn07r,opn08).
Compute idea_no_opn05 = MEAN(opn02,opn03,opn07r,opn08).
Compute idea_no_opn07r = MEAN(opn02,opn03,opn05,opn08).
Compute idea_no_opn08 = MEAN(opn02,opn03,opn05,opn07r).
Compute aest_no_opn06 = MEAN(opn09r,opn10).
Compute aest_no_opn09r = MEAN(opn06,opn10).
Compute aest_no_opn10 = MEAN(opn06,opn09r).
Compute anxi_no_neu02r = MEAN(neu04,neu07r,neu08).
Compute anxi_no_neu04 = MEAN(neu02r,neu07r,neu08).
Compute anxi_no_neu07r = MEAN(neu02r,neu04,neu08).
Compute anxi_no_neu08 = MEAN(neu02r,neu04,neu07r).
Execute.
