﻿* Encoding: UTF-8.
*download data at http://madata.bib.uni-mannheim.de/333/3/B5FacetsRelig_Study3_data.sav

SORT CASES  BY cnt_now.
SPLIT FILE SEPARATE BY cnt_now.

*Big Five facets.

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT relig
  /METHOD=ENTER altr comp orde disc asse acti aest idea anxi depr.


*Big Five domains.

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT relig
  /METHOD=ENTER agr44 cns44 ext44 neu44 opn44.


*Big Five domains based on the 35 BFI items used for the BFI facets.

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT relig
  /METHOD=ENTER agr35 cns35 ext35 neu35 opn35.


*Four theoretically relevant Big Five facets.

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT relig
  /METHOD=ENTER altr comp disc idea.


*Two theoretically relevant Big Five domains.

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT relig
  /METHOD=ENTER agr44 cns44.


*Most religious cities in most religious states in three most religious countries.
*download data at http://madata.bib.uni-mannheim.de/333/12/B5FacetsRelig_Study3_data_mostrelig.sav

COMPUTE city_id = (100000000*cnt_now) + (10000*statenum) + (1*areanum).
EXECUTE. 

SORT CASES  BY city_id.
SPLIT FILE SEPARATE BY city_id.

**Big Five Facets

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT relig
  /METHOD=ENTER altr comp orde disc asse acti aest idea anxi depr.

**Four theoretically relevant Big Five facets.

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT relig
  /METHOD=ENTER altr comp disc idea.


*Least religious cities in least religious states in three least religious countries.
*download data at http://madata.bib.uni-mannheim.de/333/11/B5FacetsRelig_Study3_data_leastrelig.sav

COMPUTE city_id = (100000000*cnt_now) + (10000*statenum) + (1*areanum).
EXECUTE. 

SORT CASES  BY city_id.
SPLIT FILE SEPARATE BY city_id.

**Big Five Facets

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT relig
  /METHOD=ENTER altr comp orde disc asse acti aest idea anxi depr.

**Four theoretically relevant Big Five facets.

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT relig
  /METHOD=ENTER altr comp disc idea.

